Agents / REST API

List agent chats

List your private Agent Teams chats and settings. Set externalInbox true to discover your queued external Reply/SDR Inbox drafting turns instead; discovery also expires exhausted leases. Principal-scoped. Does not run hosted AI or send messages.

GET /api/agents/conversationsDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
externalInboxOptional · boolean
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/agents/conversations" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "externalInbox": {
      "type": "boolean"
    }
  }
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview